%define debug_package %{nil}

Name:		jack2
Version:	1.9.19
Release:	1%{?dist}
Summary:	C++ version of the JACK low-latency audio server
Group:		Productivity/Multimedia/Sound/Editors and Convertors
License:	GPL
URL:		http://www.jackaudio.org
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-limits.patch.gz
Provides:       jack-audio-connection-kit
BuildRequires:  libsamplerate-devel libsndfile-devel


%description
Jack2 is a C++ version of the JACK low-latency audio server for
multi-processor machines. It is a new implementation of the JACK server
core features that aims in removing some limitations of the JACK1 design.
The activation system has been changed for a data flow model and lock-free
programming techniques for graph access have been used to have a more dynamic
and robust system.

%package devel
Summary:        Development header files.
Group:          Development/Libraries/C and C++
Provides:       jack-audio-connection-kit-devel
Requires:       jack2

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these. 

%prep
%setup -q
%patch0 -p1 -b .limits


%build
./waf configure --prefix=/usr --alsa
./waf build

%install
rm -rf $RPM_BUILD_ROOT
./waf install --destdir=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/security/limits.d
cp jackd-limits.conf $RPM_BUILD_ROOT/etc/security/limits.d/


%post
ldconfig


%postun
ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/jack_*
%{_bindir}/jackd
%{_bindir}/alsa_in
%{_bindir}/alsa_out
/usr/lib/libjack*
/usr/lib/jack/inprocess.so
/usr/lib/jack/jack_dummy.so
/usr/lib/jack/jack_loopback.so
/usr/lib/jack/jack_netone.so
/usr/lib/jack/jack_net.so
/usr/lib/jack/jack_proxy.so
/usr/lib/jack/netadapter.so
/usr/lib/jack/netmanager.so
/usr/lib/jack/profiler.so
/usr/lib/jack/audioadapter.so
/usr/lib/jack/jack_alsa.so
/usr/lib/jack/jack_alsarawmidi.so
%{_mandir}/man1/alsa_in.1.gz
%{_mandir}/man1/alsa_out.1.gz
%{_mandir}/man1/jack_bufsize.1.gz
%{_mandir}/man1/jack_connect.1.gz
%{_mandir}/man1/jackd.1.gz
%{_mandir}/man1/jack_disconnect.1.gz
%{_mandir}/man1/jack_freewheel.1.gz
%{_mandir}/man1/jack_impulse_grabber.1.gz
%{_mandir}/man1/jack_iodelay.1.gz
%{_mandir}/man1/jack_load.1.gz
%{_mandir}/man1/jack_lsp.1.gz
%{_mandir}/man1/jack_metro.1.gz
%{_mandir}/man1/jack_monitor_client.1.gz
%{_mandir}/man1/jack_netsource.1.gz
%{_mandir}/man1/jack_property.1.gz
%{_mandir}/man1/jackrec.1.gz
%{_mandir}/man1/jack_samplerate.1.gz
%{_mandir}/man1/jack_showtime.1.gz
%{_mandir}/man1/jack_simple_client.1.gz
%{_mandir}/man1/jack_transport.1.gz
%{_mandir}/man1/jack_unload.1.gz
%{_mandir}/man1/jack_wait.1.gz
/etc/security/limits.d/jackd-limits.conf
%doc AUTHORS.rst
%doc ChangeLog.rst
%doc README.rst
%doc README_NETJACK2


%files devel
%{_includedir}/jack*
/usr/lib/pkgconfig/jack.pc


%changelog
* Fri Sep 24 2021 Fred Gleason <fredg@paravelsystems.com> - 1.9.19-1
-- Updated for v1.9.19.
* Sat Aug 16 2014 Fred Gleason <fredg@paravelsystems.com> - 1.9.9.5-3
-- Added a 'jack2' dependency to the -devel subpackage.
* Thu Jul 10 2014 Fred Gleason <fredg@paravelsystems.com> - 1.9.9.5-2
-- Added provides data for the -devel subpackage.
* Thu Jul 10 2014 Fred Gleason <fredg@paravelsystems.com> - 1.9.9.5-1
-- Updated for v1.9.9.5.
* Thu Apr 24 2014 Fred Gleason <fredg@paravelsystems.com> - 1.9.8-2
-- Enabled ALSA backend.
* Fri Mar 28 2014 Fred Gleason <fredg@paravelsystems.com> - 1.9.8-1
-- Initial package creation.
